This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 564646 - FTBFS elfutils-0.144-2.fc13
FTBFS elfutils-0.144-2.fc13
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
: Triaged
Depends On:
Blocks: F13FTBFS 563528
  Show dependency treegraph
 
Reported: 2010-02-13 11:28 EST by FTBFS
Modified: 2010-03-16 19:17 EDT (History)
3 users (show)

See Also:
Fixed In Version: elfutils-0.145-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-08 22:22:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
root.log (39.11 KB, text/plain)
2010-02-13 11:28 EST, FTBFS
no flags Details
build.log (7.50 KB, text/plain)
2010-02-13 11:28 EST, FTBFS
no flags Details
mock.log (955 bytes, text/plain)
2010-02-13 11:28 EST, FTBFS
no flags Details
root.log (44.78 KB, text/plain)
2010-02-13 11:28 EST, FTBFS
no flags Details
build.log (7.37 KB, text/plain)
2010-02-13 11:28 EST, FTBFS
no flags Details
mock.log (962 bytes, text/plain)
2010-02-13 11:29 EST, FTBFS
no flags Details

  None (edit)
Description FTBFS 2010-02-13 11:28:51 EST
elfutils-0.144-2.fc13.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-02-13 11:28:54 EST
Created attachment 390921 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-02-13 11:28:55 EST
Created attachment 390922 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-02-13 11:28:56 EST
Created attachment 390923 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-02-13 11:28:58 EST
Created attachment 390924 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-02-13 11:28:59 EST
Created attachment 390925 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-02-13 11:29:00 EST
Created attachment 390926 [details]
mock.log

mock.log for x86_64
Comment 7 Mark Wielaard 2010-02-15 08:25:32 EST
I did a local build. Things build fine on fedora 12, but on rawhide and got the same failure:

+ make -s -j4
Making all in config
Making all in m4
Making all in lib
Making all in libelf
elf_version.c:91: fatal error: opening dependency file .deps/elf_version.Tpo: No such file or directory
compilation terminated.
elf_hash.c:66: fatal error: opening dependency file .deps/elf_hash.Tpo: No such file or directory
compilation terminated.
elf_fill.c:68: fatal error: opening dependency file .deps/elf_fill.Tpo: No such file or directory
compilation terminated.
elf_error.c:330: fatal error: opening dependency file .deps/elf_error.Tpo: No such file or directory
compilation terminated.
make[3]: *** [elf_version.os] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: *** [elf_hash.os] Error 1
make[3]: *** [elf_fill.os] Error 1
make[3]: *** [elf_error.os] Error 1
make[2]: *** [all-recursive] Error 1
make[1]: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.a7Uw0g (%build)
Comment 8 Roland McGrath 2010-02-15 19:22:12 EST
F-13 %configure macro just started passing --disable-dependency-tracking, which was broken.  Fixed upstream.
Comment 9 Mark Wielaard 2010-02-16 08:51:49 EST
I tested the upstream code and that seems to work.

A workaround for now would be the following patch to the elfutils.spec file:

@@ -199,7 +201,7 @@ RPM_OPT_FLAGS=${RPM_OPT_FLAGS/-Wall/}
 RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D__NO_INLINE__"
 %endif
 
-%configure CFLAGS="$RPM_OPT_FLAGS -fexceptions" || {
+%configure CFLAGS="$RPM_OPT_FLAGS -fexceptions" --enable-dependency-tracking || {
   cat config.log
   exit 2
 }

Could we add the above for now while we wait for a new upstream release? (this is also blocking adding the fix for bug #563528).
Comment 10 Fedora Update System 2010-02-23 22:48:04 EST
elfutils-0.145-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/elfutils-0.145-1.fc12
Comment 11 Fedora Update System 2010-02-23 22:48:18 EST
elfutils-0.145-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/elfutils-0.145-1.fc11
Comment 12 Fedora Update System 2010-02-23 22:50:45 EST
elfutils-0.145-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/elfutils-0.145-1.fc13
Comment 13 Fedora Update System 2010-02-25 22:39:41 EST
elfutils-0.145-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2010-2938
Comment 14 Fedora Update System 2010-02-25 22:40:33 EST
elfutils-0.145-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2944
Comment 15 Fedora Update System 2010-03-04 22:36:01 EST
elfutils-0.145-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2010-03-08 22:21:54 EST
elfutils-0.145-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2010-03-16 19:17:05 EDT
elfutils-0.145-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.